"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.populateDefaults = void 0;
const twilio_1 = require("twilio");
const getenv = __importStar(require("getenv"));
const UlawDtmfBufferGenerator_1 = require("./dtmf/UlawDtmfBufferGenerator");
const MulawGoogleSpeechToText_1 = require("./transcribers/MulawGoogleSpeechToText");
const consoleLogger_1 = require("./plugins/consoleLogger");
const StopWhenAllTestsComplete_1 = require("./plugins/StopWhenAllTestsComplete");
// TODO Replace with avj or maybe https://www.npmjs.com/package/convict
exports.populateDefaults = (config) => {
    const createDefaultClient = () => new twilio_1.Twilio(getenv.string("TWILIO_ACCOUNT_SID"), getenv.string("TWILIO_AUTH_TOKEN"));
    return {
        dtmfGenerator: config.dtmfGenerator || new UlawDtmfBufferGenerator_1.UlawDtmfBufferGenerator(),
        transcriber: config.transcriber || MulawGoogleSpeechToText_1.mulawGoogleSpeechToText(),
        localServerPort: getenv.int("LOCAL_SERVER_PORT", config.localServerPort),
        plugins: config.plugins || [consoleLogger_1.consoleLogger, new StopWhenAllTestsComplete_1.StopWhenAllTestsComplete()],
        publicServerUrl: getenv.string("PUBLIC_SERVER_URL", config.publicServerUrl || "") ||
            undefined,
        recording: config.recording,
        twilioClient: config.twilioClient || createDefaultClient(),
    };
};
