export interface When {
    describe(): string;
    check(transcript: string): boolean;
}
export declare const or: (...whens: When[]) => When;
export declare const matches: (pattern: RegExp) => When;
export declare const contains: (partial: string) => When;
/**
 * Compares two strings to determine if they're similar.
 * See https://www.npmjs.com/package/string-similarity#api to read how similarity is calculated.
 *
 * @param {string} similarText Text that is compared to the transcript for similarity
 * @param {number} similarityThreshold The degree of similarity is measured in a fraction between 0 and 1.
 * 0 indicates completely different strings, 1 indicates identical strings. The comparison is case-sensitive.
 * @return {boolean} True if strings are considered similar, else false
 */
export declare const similarTo: (similarText: string, similarityThreshold?: number) => When;
