import ws from "ws";
import { IvrTest } from "./TestHandler";
export interface StreamDetails {
    sid: string;
    phoneNumbers: {
        from: string;
        to: string;
    };
}
export interface RecorderConfig {
    outputPath: string;
    filename?: string | ((stream: StreamDetails, test: IvrTest) => string);
}
export declare class MediaStreamRecorder {
    private readonly connection;
    private readonly config;
    private readonly test;
    private static readonly FILE_EXT;
    private writeStream;
    private readonly onMessageFunc;
    private readonly onCloseFunc;
    constructor(connection: ws, config: RecorderConfig, test: IvrTest);
    private processMessage;
    private createFilename;
    private createFile;
    private writeToFile;
    private close;
}
