/// <reference types="node" />
import { Call } from "./ordered";
import ws from "ws";
import { DtmfBufferGenerator } from "../dtmf/DtmfPlayer";
export declare enum WebSocketEvents {
    Message = "message",
    Close = "close"
}
export declare class TwilioCall implements Call {
    #private;
    private readonly connection;
    private readonly dtmfGenerator;
    constructor(connection: ws, dtmfGenerator: DtmfBufferGenerator);
    private processMessage;
    sendDtmfTone(dtmfSequence: string): void;
    sendMedia(payload: Buffer): void;
}
