"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ordered = void 0;
exports.ordered = (conditions) => {
    let nextConditionIndex = 0;
    const clonedConditions = Array.isArray(conditions) ? [...conditions] : [];
    return {
        test(transcript, call) {
            const condition = clonedConditions[nextConditionIndex];
            if (!condition) {
                return { result: "pass" };
            }
            const isMatch = condition.when.check(transcript);
            if (!isMatch) {
                return { result: "fail" };
            }
            condition.then.do(call);
            nextConditionIndex++;
            const isLastCondition = !clonedConditions[nextConditionIndex];
            return {
                matchedCondition: condition,
                result: isLastCondition ? "pass" : "continue",
            };
        },
    };
};
