"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StopWhenAllTestsComplete = void 0;
class StopWhenAllTestsComplete {
    constructor() {
        this.totalTests = 0;
        this.testsCompleted = 0;
    }
    initialise(eventEmitter) {
        eventEmitter.on("ivrTestPassed", this.testCompleted.bind(this));
        eventEmitter.on("ivrTestFailed", this.testCompleted.bind(this));
        eventEmitter.on("callAssignedTest", this.callAssignedTest.bind(this));
        eventEmitter.on("callHandlingServerStarted", this.callHandlingServerStarted.bind(this));
    }
    callHandlingServerStarted({ server, }) {
        this.server = server;
    }
    callAssignedTest(event) {
        this.totalTests++;
    }
    testCompleted() {
        this.testsCompleted++;
        if (this.testsCompleted >= this.totalTests) {
            this.server.close();
        }
    }
}
exports.StopWhenAllTestsComplete = StopWhenAllTestsComplete;
