import { TestEvents } from "./testEvents";
import { SetupEvents } from "./setupEvents";
declare type EventMap = Record<string, any>;
declare type EventKey<T extends EventMap> = string & keyof T;
declare type EventReceiver<T> = (params: T) => void;
export interface Emitter<T extends EventMap> {
    on<K extends EventKey<T>>(eventName: K, fn: EventReceiver<T[K]>): void;
    off<K extends EventKey<T>>(eventName: K, fn: EventReceiver<T[K]>): void;
    emit<K extends EventKey<T>>(eventName: K, params: T[K]): void;
}
export interface TestLifecycleEventEmitter extends Emitter<TestEvents> {
}
export interface SetupLifecycleEventEmitter extends Emitter<SetupEvents> {
}
export interface LifecycleEventEmitter extends Emitter<TestEvents & SetupEvents> {
}
export declare const createLifecycleEventEmitter: () => LifecycleEventEmitter;
export {};
