import { Server } from "ws";
import { StreamDetails } from "./handlers/MediaStreamRecorder";
import { IvrTest } from "./handlers/TestHandler";
import { TestLifecycleEventEmitter } from "./plugins/events/eventEmitter";
import { URL } from "url";
import { DtmfBufferGenerator } from "./dtmf/DtmfPlayer";
import { Transcriber } from "./transcribers/Transcriber";
export declare const formatServerUrl: (server: CallHandlingServer) => URL;
/**
 * Factory to create a instance of a transcriber per test
 */
declare type TranscriberFactory = () => Transcriber;
export interface ServerConfig {
    dtmfGenerator?: DtmfBufferGenerator;
    transcriber?: TranscriberFactory;
    recording?: {
        outputPath: string;
        filename?: string | ((stream: StreamDetails) => string);
    };
    /**
     * Port that server is to listen on.
     * This value can be overridden by setting the environment variable LOCAL_SERVER_PORT
     */
    localServerPort?: number | undefined;
}
export interface CallHandlingServer {
    wss: Server;
}
export declare const startServerListening: (config: ServerConfig, ivrTest: IvrTest[], testEventEmitter: TestLifecycleEventEmitter) => Promise<CallHandlingServer>;
export {};
