import { Twilio } from "twilio";
import { IvrTest, TestSubject } from "./handlers/TestHandler";
import { Config } from "./Config";
import { IvrTesterPlugin } from "./plugins/plugin";
export interface TestRunnerConfig {
    /**
     * Twilio client used to initiate the call to the IVR
     */
    twilioClient?: Twilio;
    /**
     * URL of the server that is publicly accessible. This is the
     * server that Twilio connects to when creating the bi-directional
     * stream of the call
     * This value can be overridden by setting the environment variable PUBLIC_SERVER_URL
     */
    publicServerUrl?: string | undefined;
    plugins?: IvrTesterPlugin[];
}
export declare const testRunner: (config: Config) => (call: TestSubject, ivrTest: IvrTest[] | IvrTest) => Promise<void>;
