"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.callParameterSerializer = exports.TwilioConnectionEvents = void 0;
var TwilioConnectionEvents;
(function (TwilioConnectionEvents) {
    // eslint-disable-next-line no-unused-vars
    TwilioConnectionEvents["MediaStreamStart"] = "start";
    // eslint-disable-next-line no-unused-vars
    TwilioConnectionEvents["Media"] = "media";
    // eslint-disable-next-line no-unused-vars
    TwilioConnectionEvents["CallEnded"] = "stop";
})(TwilioConnectionEvents = exports.TwilioConnectionEvents || (exports.TwilioConnectionEvents = {}));
exports.callParameterSerializer = {
    addParameters(stream, call) {
        stream.parameter({ name: "from", value: call.from });
        stream.parameter({ name: "to", value: call.to });
    },
    extractParameters(event) {
        var _a, _b, _c, _d;
        const from = (_b = (_a = event === null || event === void 0 ? void 0 : event.start) === null || _a === void 0 ? void 0 : _a.customParameters) === null || _b === void 0 ? void 0 : _b.from;
        const to = (_d = (_c = event === null || event === void 0 ? void 0 : event.start) === null || _c === void 0 ? void 0 : _c.customParameters) === null || _d === void 0 ? void 0 : _d.to;
        if (!from || !to) {
            throw new Error("Start Media event does not contain from/to custom parameters");
        }
        return { from, to };
    },
};
